Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.vole.meter
Class AnalogClock

    java.lang.Object
      jcontrol.ui.vole.Component
          jcontrol.ui.vole.meter.AnalogClock

    public class AnalogClock

extends Component

This class provides an analog clock for JControl.

(c) Copyright 2003-2007 DOMOLOGIC GmbH

See Also:
  `Time`, `RTC`

Field Summary

Fields inherited from class jcontrol.ui.vole.Component
`eventQueue, focusOwner, font, g, height, listener, parent, visible, width, x, y`

Constructor Summary
`AnalogClock(int x, int y, int size, boolean showSeconds)` Creates a clock.

Method Summary
`void` | `paint()` Repaints the clock dial.
`void` | `setValue(int hour, int minute, int second)` Sets a the specified time to the clock.
`boolean` | `transferFocus()` We never gain the input focus.
`void` | `update()` Updates the clock with the current time.

Methods inherited from class jcontrol.ui.vole.Component
`getBounds, getParent, isVisible, onActionEvent, onKeyEvent, remove, removeFocus, requestFocus, setBounds, setFont, setGraphics, setParent, setVisible, validate`

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Constructor Detail

### AnalogClock

    public AnalogClock(int x,
                       int y,
                       int size,
                       boolean showSeconds)

  Creates a clock.

  Parameters:
    `x` - the upper left x coordinate
    `y` - the upper left y coordinate
    `size` - the clock radius
    `showSeconds` - show the second needle (true or false)

Method Detail

### update

    public void update()

  Updates the clock with the current time.

### setValue

    public void setValue(int hour,
                         int minute,
                         int second)

  Sets a the specified time to the clock.

  Parameters:
    `hour` - hour
    `minute` - minute
    `second` - second

### paint

    public void paint()

  Repaints the clock dial. This will not do a time update!

  Overrides:
    `paint` in class `Component`

### transferFocus

    public boolean transferFocus()

  We never gain the input focus.

  Overrides:
    `transferFocus` in class `Component`
  Returns:
    true, if the focus was transferred successfully.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD